Bug 128927 - UI: Groupedbar Compact shows irritating label 'Colour' where 'Filter' was expected
Summary: UI: Groupedbar Compact shows irritating label 'Colour' where 'Filter' was exp...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.3.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
Depends on:
Blocks: Notebookbar-Groupedbar
  Show dependency treegraph
 
Reported: 2019-11-20 22:20 UTC by Gerhard Weydt
Modified: 2019-12-04 09:35 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Weydt 2019-11-20 22:20:22 UTC
Using View -> User Interface - Groupedbar Compact you will find a dropdown list named Colour at the right. The content of the dropdown list is nearly identical to the list of menu entries for the symbol "filter", used in all other versions for the user interface. The exception is an entry named Image Mode, where there is no visible change for an image selected, so the function remains unclear; also a connection with a colour function is not discernible. More important: there is no reason to connect these tools with colour as primary object.
Suggestions:
- Rename to "Filter", as in all other versions of the user interface
- Clarify the function of entry Image Mode
Comment 1 V Stuart Foote 2019-11-21 15:10:48 UTC
Confirmed on Windows 10 Home 64-bit en-US with
Version: 6.3.3.2 (x64)
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

In GroupedBar Compact NB mode, the contextual control block 'Color' will appear when a raster image is selected active on canvas. 

The Drop list is labeled 'Color' but the widget selection controls the image- filter that will be applied to the selected image.

Seems the intent was to use the listbox label to show the group as color controls--but the group is really image modes & filters, not a lot to do with color (only as used in the filters).
Comment 2 Commit Notification 2019-12-04 06:58:36 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/68d9869e1593d8c0dbfd497a52f487383bbc0343

tdf#128927 groupedbar compact replace color with filter

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-12-04 09:35:41 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/90ccc6555f430bb9f28c64737939377aeb1159db

tdf#128927 groupedbar compact replace color with filter

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.